part of 'new_bloc.dart';

@immutable
abstract class NewState extends Equatable {

  const NewState();
  @override
  List<Object?> get props => [];
}

class NewInitial extends NewState {
  const NewInitial();
  @override
  List<Object?> get props => [];
}

class NewLoading extends NewState {
  const NewLoading();
}

class NewFailed extends NewState {
  final String? message;
  const NewFailed(this.message);
}

class NewSuccess extends NewState {
  final NewModel newModel;
  const NewSuccess(this.newModel);
  @override
  List<Object?> get props => [newModel];
}

class NewResetState extends NewState {
  const NewResetState();
}


